import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import _extends from "@babel/runtime/helpers/esm/extends";
import * as React from 'react';
import * as CheckboxStories from './Checkbox.stories.mdx';
import { generateChromaticStory } from '../../../chromatic/utils';
import Checkbox from './Checkbox';

var Hovers = function Hovers(args) {
  var types = [{
    name: 'unchecked'
  }, {
    name: 'checked',
    checked: true
  }, {
    disabled: true,
    name: 'disabled'
  }, {
    invalid: true,
    name: 'error'
  }];
  return /*#__PURE__*/React.createElement("div", null, types.map(function (t) {
    return /*#__PURE__*/React.createElement(Checkbox, _extends({}, args, t, {
      key: t.name
    }), "Dark: ", t.name);
  }), /*#__PURE__*/React.createElement("div", {
    style: {
      background: 'black'
    }
  }, types.map(function (t) {
    return /*#__PURE__*/React.createElement(Checkbox, _extends({}, args, t, {
      key: t.name,
      color: "light"
    }), "Light: ", t.name);
  })));
};

export var Default = generateChromaticStory(CheckboxStories, {
  storiesToHover: [Hovers]
});

var _CheckboxStories$defa = CheckboxStories.default,
    includeStories = _CheckboxStories$defa.includeStories,
    meta = _objectWithoutProperties(_CheckboxStories$defa, ["includeStories"]);

export default meta;